Auto Multiple Choice - Bug # 617: /usr/share/texmf

Status: Closed Priority: Normal

Author: Patrice Kadionik Category: Installation

Created: 12/27/2018 Assignee:

Updated: 12/29/2018 Due date:

Description: Depuis Fedora 28, il y a une impossibilité d'installer auto-multiple-choice par dnf car il y a un conflit avec le

paguetage texlive-base (version 20170520-42 et supérieur).

Avec les versions précédentes de texlive-base, /usr/share/texmf était un répertoire. Maintenant (F28 et
supérieur), c'est un lien symbolique vers /usr/share/texlive/texmf-local/texmf-compat.

History

12/27/2018 03:15 pm - Alexis Bienveniie
En quoi cela pose-t-il probléme ?

12/27/2018 07:04 pm - Patrice Kadionik
Alexis Bienveniie wrote:

> En quoi cela pose-t-il probléme ?

Bonjour Alexis.

L'installation ne se fait pas : https:/project.auto-multiple-choice.net/boards/3/topics/6971?r=7125#message-7125
Le truc est de télécharger le rpm puis de faire une installation forcée par rpm.

J'ai corrigé ce probléme dans mon paquet pour Fedora 29 avec la version 1.4.0 betal en changeant le chemin /usr/share/texmf dans le Makefile.conf...

++

12/27/2018 07:43 pm - Alexis Bienvenlie

Le @Makefile.conf@ est fait pour cela : donc ¢a marche ?

Vous pouvez également fabriquer un @Makefile-fedora.conf@ avec les variables & modifier uniqguement, et appeler @make@ avec I'option
@AMCCONF=fedora@ pour qu'il aille chercher ce nouveau fichier de configuration.

12/27/2018 09:05 pm - Patrice Kadionik

Alexis BienvenUe wrote:

> Le @Makefile.conf@ est fait pour cela : donc ¢a marche ?

> Vous pouvez également fabriquer un @Makefile-fedora.conf@ avec les variables a modifier uniqguement, et appeler @make@ avec I'option
@AMCCONF=fedora@ pour qu'il aille chercher ce nouveau fichier de configuration.

QOui, cela marche avec la modification du Makefile.

Je vous ai signalé ce soucis détecté sur Fedora car je ne sais pas s'il existe sur d'autres distributions...

++

12/29/2018 09:25 pm - Alexis Bienvenlie
- Status changed from New to Closed

- % Done changed from 0 to 100
